#!/bin/bash

export PYTHONPATH="$(pwd)"

fixed_arc="4"
fixed_arc="$fixed_arc 0 0"
fixed_arc="$fixed_arc 4 1 0"
fixed_arc="$fixed_arc 1 1 1 0"
fixed_arc="$fixed_arc 5 1 0 0 0"
fixed_arc="$fixed_arc 5 1 1 0 1 0"

python src/cifar10/eval_structure.py \
  --data_format="NCHW" \
  --search_for="macro" \
  --data_path="data/cifar10" \
  --output_dir="outputs_6" \
  --child_arc2="${fixed_arc}" \
  --structure_path="structures6.txt" \
  --batch_size=128 \
  --num_epochs=10 \
  --log_every=50 \
  --eval_every_epochs=1 \
  --child_use_aux_heads \
  --child_num_layers=6 \
  --child_out_filters=36 \
  --child_l2_reg=0.00025 \
  --child_num_branches=6 \
  --child_num_cells=5 \
  --child_keep_prob=0.90 \
  --child_drop_path_keep_prob=0.60 \
  --child_lr_cosine \
  --child_lr_max=0.05 \
  --child_lr_min=0.0005 \
  --child_lr_T_0=10 \
  --child_lr_T_mul=2 \
  --controller_training \
  --controller_search_whole_channels \
  --controller_entropy_weight=0.0001 \
  --controller_train_every=1 \
  --controller_sync_replicas \
  --controller_num_aggregate=20 \
  --controller_train_steps=50 \
  --controller_lr=0.001 \
  --controller_tanh_constant=1.5 \
  --controller_op_tanh_reduce=2.5 \
  --controller_skip_target=0.4 \
  --controller_skip_weight=0.8 \
  "$@"

